%global momorel 6

Summary:	Test-Base module for perl (/opt/momonga/PKGS/SOURCES)
Name:		perl-Test-Base
Version:	0.59
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/I/IN/INGY/Test-Base-%{version}.tar.gz 
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Test/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.8
BuildArch:	noarch
BuildRequires:	perl-Spiffy
BuildRequires:	perl-Module-Install
Requires:	perl-Module-Install
Requires:	perl-Spiffy

%description
Test-Base module for perl

%prep
%setup -q -n Test-Base-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make
#NG make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Test-Base-%{version}-filelist
if [ "$(cat Test-Base-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Test-Base-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.59-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.59-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.59-4m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.59-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.59-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Aug 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.59-1m)
- update to 0.59

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-2m)
- rebuild against perl-5.10.1

* Sun Mar 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.58-1m)
- update to 0.58

* Sun Mar  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.56-1m)
- update to 0.56

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.55-1m)
- update to 0.55

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.54-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.54-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.54-2m)
- %%NoSource -> NoSource

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.54-1m)
- update to 0.54

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.53-2m)
- use vendor

* Tue Dec  5 2006 NARITA Koichi <pulasr@momonga-linux.org>
- (0.53-1m)
- update to 0.53

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.52-1m)
- spec file was autogenerated
